package com.compumark.gradle.plugin.ivy;

import java.io.File;
import java.io.IOException;
import java.net.URISyntaxException;
import java.net.URL;
import java.text.ParseException;

import org.apache.ivy.Ivy;
import org.gradle.api.Project;

public class IvyConfigure {
	
	public static Ivy configureIvy(Project project) throws IOException, ParseException, URISyntaxException {
		Ivy ivy = Ivy.newInstance();
		configureIvy(project, ivy);
		return ivy;
	}
	
	public static void configureIvy(Project project, Ivy ivy) throws IOException, ParseException, URISyntaxException {
		File settingsFile;
		String ivySettingsURL = null;
		if (project.hasProperty("ivySettingsURL")) {
			ivySettingsURL = (String)project.property("ivySettingsURL");
		}
		if (ivySettingsURL != null) {
			ivy.configure(new URL(ivySettingsURL));
		}
		else {
			settingsFile = (File)project.property("ivySettingsFile");
			if (settingsFile == null) {
				settingsFile = new IvyPluginConvention(project).getIvySettingsFile();
			}
			if (settingsFile.exists()) {
				ivy.configure(settingsFile);
			}
		}
	}

}
