package com.compumark.gradle.plugin.ivy;

import org.apache.ivy.core.module.id.ModuleRevisionId;
import org.gradle.api.file.FileCollection;
import org.gradle.api.internal.artifacts.dependencies.DefaultSelfResolvingDependency;

public class ModuleRevisionIdFileCollectionDependency extends DefaultSelfResolvingDependency {

	private ModuleRevisionId mrid;

	public ModuleRevisionIdFileCollectionDependency(FileCollection source, ModuleRevisionId mrid) {
		super(source);
		this.mrid = mrid;
	}

	@Override
	public String getGroup() {
		return mrid.getModuleId().getOrganisation();
	}

	@Override
	public String getName() {
		return mrid.getModuleId().getName();
	}

	@Override
	public String getVersion() {
		return mrid.getRevision();
	}

	@Override
	public String toString() {
		return mrid.toString();
	}

}
